
package com.qunzhixinxi.hnqz.common.qcc;

import com.qunzhixinxi.hnqz.common.qcc.config.QccConfig;
import com.qunzhixinxi.hnqz.common.qcc.service.QccService;
import lombok.AllArgsConstructor;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;

/**
 * @Modify: start
 * @Version: v2021.4.16
 * @Author: ryz
 * @Date: 2021/5/6
*/
@AllArgsConstructor
@EnableConfigurationProperties({ QccConfig.class })
public class QccAutoConfiguration {

//	private final QccConfig config;

	@Bean
	@ConditionalOnMissingBean(QccService.class)
//	@ConditionalOnProperty(name = "qcc.enable", havingValue = "true", matchIfMissing = true)
	public QccService qccService() {
		return new QccService();
	}


}
