package com.qunzhixinxi.hnqz.common.taxhelper.entity.model;

import com.qunzhixinxi.hnqz.common.taxhelper.config.TaxHelperConfig;
import lombok.Data;

/**
 * {@code TaxHelperBindingCardVerificationModel} 绑卡时获取验证码model
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-02-22
 * @since ver.1.0.0
 */
@Data
public class TaxHelperBindingCardVerificationModel extends TaxHelperModel{

	private static final long serialVersionUID = 3683744599482273750L;

	// 身份证号
	private String idCard;

	// 银行卡号
	private String payAccount;

	// 绑定的手机号
	private String payAccountPhone;

	public TaxHelperBindingCardVerificationModel(TaxHelperConfig taxHelperConfig){
		this.appId = taxHelperConfig.getAppId();
		this.appSecrete = taxHelperConfig.getAppSecrete();
		this.queryUrl = taxHelperConfig.getQueryUrl();
	}
}
