package com.qunzhixinxi.hnqz.common.taxhelper.entity.model;

import lombok.Data;

import java.io.Serializable;

/**
 * {@code TaxHelperModel} class is Base Data Structure
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-02-22
 * @since ver.1.0.0
 */
@Data
public abstract class TaxHelperModel implements Serializable {

	private static final long serialVersionUID = -8165614947827381458L;

	/**
	 * app id
	 */
	protected String appId;

	/**
	 * app secrete
	 */
	protected String appSecrete;

	/**
	 * query url
	 */
	protected String queryUrl;

}
