package com.qunzhixinxi.hnqz.common.taxhelper.entity.request;

import com.qunzhixinxi.hnqz.common.taxhelper.entity.model.TaxHelperGetUserAgreementModel;
import com.qunzhixinxi.hnqz.common.taxhelper.entity.model.TaxHelperUserAgreementAuthorizationModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * {@code TaxHelperUserAgreementAuthorizationRequest}
 * <p>
 * TODO
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021/08/09 17:43:49
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class TaxHelperUserAgreementAuthorizationRequest extends TaxHelperRequest{

	private final static String PATH = "/lgsby/api/userAgreementAuthorization";


	public TaxHelperUserAgreementAuthorizationRequest(TaxHelperUserAgreementAuthorizationModel bizModel) {
		this.bizModel = bizModel;
		this.queryUrl = String.format("%s%s", bizModel.getQueryUrl(), PATH);
	}
}
