package com.qunzhixinxi.hnqz.common.taxhelper.entity.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * {@code TaxHelperCheckFaceNotify} 认证回调类
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-03-01
 * @since ver.1.0.0
 */
@Data
public class TaxHelperCheckFaceNotify implements Serializable {
	private static final long serialVersionUID = -908874821989526310L;

	/**
	 * 认证时的token
	 */
	private String token;

	/**
	 * 认证结果状态：1-> 成功；2-> 失败；3-> 验证中
	 */
	private Integer status;

	/**
	 * 认证结果：以中文返回，2时，为错误原因；1和3时返回空字符串
	 */
	private String message;
}
