package com.qunzhixinxi.hnqz.admin.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 *  项目内 请求URL配置
 *
 * @author zhangwt
 * @since 1.0
 */
@Data
@Component
@ConfigurationProperties( prefix = "tax.notify")
public class TaxNotifyConfig {

	private Boolean enable;
    /**
     * apiUrl
     */
    private String settleNotify;

	/**
	 * 通知url
	 */
    private String notifyUrl;

	/**
	 * 外部链接地址查看当前积分包的任务
	 */
	private String taskUrl;


}
