package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 项目管理-静态证据子表
 *
 * @author lixuesong
 * @date 2021年07月13日 10:28
 */
@Data
@TableName("wm_project_evidence")
@EqualsAndHashCode(callSuper = true)
public class WmProjectEvidence extends Model<WmProjectEvidence> {

	/**
	 * 主键id
	 */
	@TableId
	@ApiModelProperty(value="主键id")
	private Integer id;

	/**
	 * 项目id
	 */
	@ApiModelProperty(value="项目id")
	private Integer projectId;

	/**
	 * 文件名称
	 */
	@ApiModelProperty(value="文件名称")
	private String filename;

	/**
	 * 静态证据url
	 */
	@ApiModelProperty(value="静态证据url")
	private String url;

	/**
	 * 文件类型
	 */
	@ApiModelProperty(value="文件类型")
	private String type;

	/**
	 * 创建时间
	 */
	@ApiModelProperty(value="创建时间")
	private LocalDateTime createTime;

	/**
	 * 创建人
	 */
	@ApiModelProperty(value="创建人")
	private Integer createUser;
}
