package com.qunzhixinxi.hnqz.admin.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
@ApiModel(value = "有效任务类型树形节点")
public class WmTaskTypeTree {

	@ApiModelProperty(value = "有效任务类型")
	protected String taskTypeId;

	@ApiModelProperty(value = "积分包类型")
	protected String type;

	@ApiModelProperty(value = "积分包类型名称")
	protected String taskTypeName;

	@ApiModelProperty(value = "子节点列表")
	protected List<WmTaskTypeTree> children = new ArrayList<WmTaskTypeTree>();

	public void add(WmTaskTypeTree node) {
		children.add(node);

	}
}
