package com.qunzhixinxi.hnqz.admin.entity.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.qunzhixinxi.hnqz.admin.enums.CategoryEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.DecimalMin;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * {@code SettlementDTO} 类 结算DTO
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-05-27
 * @since ver.1.0.0
 */
@Data
public class SettlementDTO implements Serializable {
	private static final long serialVersionUID = -229912291812823804L;

	/**
	 * 任务id
	 */
	private Integer taskId;

	/**
	 * 结算申请记录id
	 */
	private Integer settleNoteId;

	/**
	 * 结算金额id
	 */
	private String amount;
}
