package com.qunzhixinxi.hnqz.admin.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.admin.entity.WmDaProject;
import com.qunzhixinxi.hnqz.admin.entity.WmScorePackage;
import com.qunzhixinxi.hnqz.common.core.util.R;

import java.util.Map;

/**
 * 档案-项目管理
 *
 * @author Liujh
 * @date 2020-12-8
 */
public interface WmDaProjectService extends IService<WmDaProject> {
	WmDaProject selectProjects(WmDaProject wmDaProject);

	public IPage<Map<String,Object>> selectWmDaProjectList(Page page, WmDaProject wmDaProject);

//	int updatewmDaProjectById(Map paramMap, Integer currentUserId);
//
//	int insertWmDaProject(Map paramMap, Integer currentUserId);

	R<WmDaProject> insertWmDaProjects(WmDaProject wmDaProject, Integer currentUserId);

	R<WmDaProject> updateWmDaProjectsById(WmDaProject wmDaProject, Integer currentUserId);
}
