/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */

package com.qunzhixinxi.hnqz.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.admin.entity.WmImportUser;
import com.qunzhixinxi.hnqz.common.core.util.R;
import org.springframework.web.multipart.MultipartFile;

/**
 * 导入任务成员表
 *
 * @author pigx code generator
 * @date 2021-01-06 19:39:17
 */
public interface WmImportUserService extends IService<WmImportUser> {

	R saveImportUser(WmImportUser wmImportUser) throws Exception;

	public R impImportUser(MultipartFile file, String scoreId) throws Exception;

	public R delImportUser(Integer id );

}
