-- 创建主体加密器表
CREATE TABLE `sys_dept_encryptor`
(
    `id`              INT(20) AUTO_INCREMENT
        PRIMARY KEY,
    `dept_id`         INT(20)                             NOT NULL COMMENT '主体id',
    `ser_public_key`  VARCHAR(2048)                       NOT NULL COMMENT '服务器公钥',
    `ser_private_key` VARCHAR(2048)                       NOT NULL COMMENT '服务器私钥',
    `cli_public_key`  VARCHAR(2048)                       NOT NULL COMMENT '客户端公钥',
    `cli_private_key` VARCHAR(2048)                       NOT NULL COMMENT '客户端私钥',
    `signature`       VARCHAR(32)                         NOT NULL COMMENT '签名字符串',
    `create_time`     TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL COMMENT '创建时间',
    `update_time`     TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL COMMENT '更新时间'
)
    COMMENT '主体加密器' CHARSET = utf8mb4;