package com.qunzhixinxi.hnqz.common.taxhelper;

import com.qunzhixinxi.hnqz.common.taxhelper.service.TaxHelperService;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.context.annotation.Bean;
import org.springframework.web.client.RestTemplate;

/**
 * {@code TaxHelperAutoConfiguration} 类
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-02-18
 * @since ver.1.0.0
 */
public class TaxHelperAutoConfiguration {

	@Bean
	@ConditionalOnMissingBean(value = TaxHelperService.class)
	public TaxHelperService taxHelperService(){
		return new TaxHelperService();
	}

}
