package com.qunzhixinxi.hnqz.common.taxhelper.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 税邦云注解，用于表示方法，方便AOP拦截
 */
@Target(value = {ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
public @interface TaxHelper {

	/**
	 * 说明
	 * @return
	 */
	String value() default "";
}
