package com.qunzhixinxi.hnqz.common.taxhelper.entity.model;

import com.qunzhixinxi.hnqz.common.taxhelper.config.TaxHelperConfig;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * {@code TaxHelperUserAgreementAuthorizationModel}
 * <p>
 * 回传用户协议授权信息
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021/08/09 17:30:49
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class TaxHelperUserAgreementAuthorizationModel extends TaxHelperModel{


	private static final long serialVersionUID = 3089361332652564285L;

	/**
	 * 统一社会信用吗
	 */
	private String enterpriseCode;

	/**
	 * 身份证
	 */
	private String idCard;

	/**
	 * 签署时间 yyyy-MM-dd hh:mm:ss
	 */
	private String authorizationTime;


	public TaxHelperUserAgreementAuthorizationModel(TaxHelperConfig config){
		this.appId = config.getAppId();
		this.appSecrete = config.getAppSecrete();
		this.queryUrl = config.getQueryUrl();
	}


}
