package com.qunzhixinxi.hnqz.common.taxhelper.entity.request;

import com.qunzhixinxi.hnqz.common.taxhelper.entity.model.TaxHelperAppletBizTokenModel;
import lombok.Data;
import lombok.Getter;

/**
 * {@code TaxHelperAppletBizTokenRequest} 小程序token请求
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-02-19
 * @since ver.1.0.0
 */
@Data
public class TaxHelperAppletBizTokenRequest extends TaxHelperRequest {

	/**
	 * 小程序token请求地址
	 */
	private static final String PATH = "/lgsby/api/getAppletBizToken";

	public TaxHelperAppletBizTokenRequest(TaxHelperAppletBizTokenModel bizModel){
		this.bizModel = bizModel;
		this.queryUrl = String.format("%s%s", bizModel.getQueryUrl(), PATH);
	}

}
