package com.qunzhixinxi.hnqz.common.taxhelper.entity.request;

import com.qunzhixinxi.hnqz.common.taxhelper.entity.model.TaxHelperAppletCheckFaceModel;

/**
 * {@code TaxHelperAppletCheckFaceRequest} 类
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-03-01
 * @since ver.1.0.0
 */
public class TaxHelperAppletCheckFaceRequest extends TaxHelperRequest {

	/**
	 * 认证token路径
	 */
	private static final String PATH = "/lgsby/api/appletCheckFace";

	public TaxHelperAppletCheckFaceRequest(TaxHelperAppletCheckFaceModel bizModel) {
		this.bizModel = bizModel;
		this.queryUrl = String.format("%s%s", bizModel.getQueryUrl(), PATH);
	}
}
