package com.qunzhixinxi.hnqz.common.taxhelper.entity.request;

import com.qunzhixinxi.hnqz.common.taxhelper.entity.model.TaxHelperBindingCardConfirmModel;
import lombok.Data;

/**
 * {@code TaxHelperBindingCardConfirmRequest} 绑卡确认请求
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-02-22
 * @since ver.1.0.0
 */
@Data
public class TaxHelperBindingCardConfirmRequest extends TaxHelperRequest {

	/**
	 * 绑卡确认路径
	 */
	private static final String PATH = "/lgsby/api/bindingCardConfirm";

	public TaxHelperBindingCardConfirmRequest(TaxHelperBindingCardConfirmModel bizModel) {
		this.bizModel = bizModel;
		this.queryUrl = String.format("%s%s", bizModel.getQueryUrl(), PATH);
	}
}
