package com.qunzhixinxi.hnqz.common.taxhelper.entity.request;

import com.qunzhixinxi.hnqz.common.taxhelper.entity.model.TaxHelperAppletBizTokenModel;
import com.qunzhixinxi.hnqz.common.taxhelper.entity.model.TaxHelperH5BizTokenModel;
import lombok.Data;

/**
 * {@code TaxHelperH5BizTokenRequest} H5 token请求
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-05-28
 * @since ver.1.0.0
 */
@Data
public class TaxHelperH5BizTokenRequest extends TaxHelperRequest {

	/**
	 * H5 token请求地址
	 */
	private static final String PATH = "/lgsby/api/getH5BizToken";

	public TaxHelperH5BizTokenRequest(TaxHelperH5BizTokenModel bizModel){
		this.bizModel = bizModel;
		this.queryUrl = String.format("%s%s", bizModel.getQueryUrl(), PATH);
	}

}
