package com.qunzhixinxi.hnqz.admin.api.constant;

public interface CacheConstants {


	String ARTICLE_HOT_KEY = "article_hot_key";

	String USER_NOTICE_KEY = "user_notice_key:";
	String USER_ADD_NOTICE_KEY = "user_add_notice_key:";

	String DRUG_ENT_PERSONAL_SHARE_KEY1 = "share_drug_ent:";
	String DRUG_ENT_PERSONAL_SHARE_KEY2 = "userId:";

	/**
	 * 文章每人分享限制缓存
	 */
	String ARTICLE_PERSONAL_SHARE_KEY = "share_article:";

	String SETTLE_PACKAGE_KEY = "settle_package_key:settle";

	String EMAIL_KEY = "email_key:";

	/**
	 * 税邦云登录key
	 */
	String TAX_HELPER_LOGIN_KEY = "TAXHELPER:LOGIN_KEY:";

	/**
	 * 问问风湿登陆缓存key
	 */
	String WENWEN_LOGIN_KEY = "WENWEN_LOGIN_KEY";

	/**
	 * 甲方缓存
	 */
	String PARTY_A_CACHE_KEY = "PARTY_A_CACHE_KEY:";

	/**
	 * 税邦云认证回调key
	 */
	String TAX_HELPER_CHECK_FACE_NOTIFY_KEY = "TAXHELPER::CHECK::FACE::NOTIFY::KEY::";

	/**
	 * 税邦云结算回调key
	 */
	String TAX_HELPER_SETTLEMENT_NOTIFY_KEY = "TAXHELPER::SETTLEMENT::NOTIFY::KEY::";

	/**
	 * 微信公众号access_token的key
	 */
	String SYS_WX_ACCOUNT_TOKEN_KEY = "SYS::WX::ACCOUNT::TOKEN::KEY";

	/**
	 * 微信公众号发送图文消息key
	 */
	String SYS_WX_ACCOUNT_CALLBACK = "SYS::WX::ACCOUNT::CALLBACK";

	/**
	 * 定时任务-每日统计GMVs的key
	 */
	String QUARTZ_DAILY_GMVS_STATISTICS = "QUARTZ::DAILY::GMVS::STATISTICS";

	/**
	 * 7天
	 */
	int NOTICE_TIME = 7;

	int SHARE_TIME = 1;

	int SETTLE_TIME = 2;

	/**
	 * 渠道限额缓存
	 */
	String MONITORING_INDICATOR = "monitoring_indicator";

	/**
	 * zb报告导出缓存
	 */
	String EXPORT_ZB_REPORT_CACHE = "export:zb_report:%s";
	String EXPORT_NBA_REPORT_CACHE = "export:nba_report:%s";
	String EXPORT_NBA_HISTORY_REPORT_CACHE = "export:nba_history_report:%s";
	String EXPORT_NB_REPORT_CACHE = "export:nb_report:%s";


	Long DEF_REPORT_CREATING_TTL = 24L * 60 * 60 * 1000;

	/**
	 * 批量创建积分包缓存 package:history:#{deptId}:#{userId}
	 */
	String BATCH_PACKAGE_HISTORY = "package:history:%s:%s";

}
