package com.qunzhixinxi.hnqz.admin.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * {@code UserAgreementSignatureRecord}
 * <p>
 * 用户协议实体
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021/08/10 11:15:54
 */
@Data
@TableName(value = "user_agreement_signature_record")
public class UserAgreementSignatureRecord implements Serializable {


	private static final long serialVersionUID = 7659864427981671591L;

	@TableId(value = "id", type = IdType.AUTO)
	public Integer id;

	private Integer userId;

	private  Integer target;

	private String agreement;

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime signTime;

	private LocalDateTime createTime;
}
