package com.qunzhixinxi.hnqz.admin.api.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;

/**
 * {@code TargetType}
 * <p>
 * 接单对象枚举
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021/11/18 15:23
 */
@Getter
@AllArgsConstructor
public enum TargetType {

	PART_TIME(0, "兼职学术信息沟通专员"),
	FULL_TIME(1, "全职学术信息沟通专员");

	@EnumValue
	private final int code;

	private final String desc;


}
