package com.qunzhixinxi.hnqz.admin.api.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * {@code ErrorInfoVo} 错误信息vo
 * 用于展示通过excel批量上传中的错误数据信息
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-04-14
 * @since ver.1.0.0
 */
@Data
public class ErrorInfoVo implements Serializable {

	private static final long serialVersionUID = -1939081420283329481L;

	/**
	 * 行序号
	 */
	private Integer rowNum;

	/**
	 * 列序号
	 */
	private Integer columnNum;

	/**
	 * 列名称
	 */
	private String columnName;

	/**
	 * 所填内容
	 */
	private String content;

	/**
	 * 错误原因
	 */
	private String reason;
}
