package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

@Data
@TableName("wm_contract0609")
@ApiModel(value = "档案-合同管理")
public class WmContract {
	@TableId
	@ApiModelProperty(value = "")
	private Long id;

	@ApiModelProperty(value = "合同编号")
	private String contractNumber;

	@ApiModelProperty(value = "合同名称")
	private String contractName;

	@ApiModelProperty(value = "签约甲方")
	private String signJia;

	@ApiModelProperty(value = "组织机构代码")
	private String deptId;

	@ApiModelProperty(value = "签约乙方")
	private String signYi;

	@ApiModelProperty(value = "签约时间")
	@JsonFormat(shape=JsonFormat.Shape.STRING,pattern="yyyy-MM-dd",timezone="GMT+8")
	private Date signTime;

	@ApiModelProperty(value = "归档时间")
	@JsonFormat(shape=JsonFormat.Shape.STRING,pattern="yyyy-MM-dd",timezone="GMT+8")
	private Date filingTime;

	@ApiModelProperty(value = "说明")
	private String state;

	@ApiModelProperty(value = "合同附件")
	private String annexContract;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;

	@ApiModelProperty(value = "修改人")
	private String updateUser;

	@ApiModelProperty(value = "修改时间")
	private LocalDateTime updateTime;

}