package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * @author xyz
 * @date 2021-04-26 18:05:10
 */
@Data
@TableName("wm_dept_budget")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "")
public class WmDeptBudget extends Model<WmDeptBudget> {
	private static final long serialVersionUID = 1L;

	/**
	 *
	 */
	@TableId
	@ApiModelProperty(value = "")
	private Integer id;
	/**
	 * 所属机构
	 */
	@ApiModelProperty(value = "所属机构")
	private Integer deptId;
	/**
	 *所属月份
	 */
	@ApiModelProperty(value = "所属月份")
	private String belongDate;
	/**
	 * 申报机构
	 */
	@ApiModelProperty(value = "申报机构")
	private Integer declareDept;
	/**
	 * 预算类型
	 */
	@ApiModelProperty(value = "预算类型")
	private String budgetType;
	/**
	 *预算值
	 */
	@ApiModelProperty(value = "预算值")
	private Integer budget;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private LocalDateTime createTime;
}
