package com.qunzhixinxi.hnqz.admin.entity.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * {@code CommonUserDTO} 批量创建用户DTO
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021/07/20 11:11:26
 */
@Data
public class CommonUserDTO implements Serializable {
	private static final long serialVersionUID = -4749161744799972179L;

	/**
	 * id
	 */
	private String id;

	/**
	 * 用户真实姓名
	 */
	private String realName;

	/**
	 * 用户名
	 */
	private String username;

	/**
	 * 省
	 */
	private String province;

	/**
	 * 市
	 */
	private String city;


	/**
	 * 角色名称
	 */
	private String roleName;

	/**
	 * 锁定状态
	 */
	private String lockFlag;

	/**
	 * 省份编码
	 */

	private String provinceCode;

	/**
	 * 城市编码
	 */
	private String cityCode;
}
