package com.qunzhixinxi.hnqz.admin.entity.dto;

import com.qunzhixinxi.hnqz.admin.enums.ChannelEnum;
import lombok.Data;

import java.io.Serializable;

/**
 * {@code ScorePackageDTO} 创建积分包
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-05-24
 * @since ver.1.0.0
 */
@Data
public class ScorePackageDTO implements Serializable {

	private static final long serialVersionUID = -7292920505777464762L;

	/**
	 * 部门id
	 */
	private Integer deptId;

	/**
	 * 积分包名称
	 */
	private String name;

	/**
	 * 个人预计积分包值
	 */
	private Integer value;

	/**
	 * 任务个数
	 */
	private Integer taskAmount;

	/**
	 * 需求人数
	 */
	private Integer memberAmount;

	/**
	 * 结算渠道
	 */
	private ChannelEnum channel;

	/**
	 * 接单对象
	 */
	private Integer toType;

	/**
	 * 任务类型
	 */
	private Integer taskType;

	/**
	 * 积分包类型1
	 */
	private Integer packageType;

	/**
	 * 积分包类型2
	 */
	private Integer packageCategory;

	/**
	 * 接单对象范围
	 */
	private Integer pickUpScope;

	/**
	 * 描述
	 */
	private String description;
}
