package com.qunzhixinxi.hnqz.admin.entity.input;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * {@code TaskSettleBatch} 批量上传证据链实体
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-03-30
 * @since ver.1.0.0
 */
@Data
public class TaskSettleBatch implements Serializable {
	private static final long serialVersionUID = -1867559076876176826L;

	// 积分包id
	private Integer packageId;

	// 领包记录id
	private Integer scorePackageStatusId;

	// 部门id
	private Integer deptId;

	// 证据链信息
	private List<TaskSettleInfo> taskSettleInfoList;


}
