package com.qunzhixinxi.hnqz.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qunzhixinxi.hnqz.admin.entity.SysWxReplyMessage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author lixuesong
 * @date 2021年04月28日 17:18
 */
@Mapper
public interface SysWxReplyMessageMapper extends BaseMapper<SysWxReplyMessage> {

	/**
	 * 分页查询消息列表
	 *
	 * @param page
	 * @param sysWxReplyMessage
	 * @return
	 */
	IPage<List<SysWxReplyMessage>> listMessagePage(Page page, @Param("query") SysWxReplyMessage sysWxReplyMessage);

	/**
	 * 根据id查询消息列表
	 *
	 * @param id
	 * @return
	 */
	SysWxReplyMessage getMessageById(@Param("id") Integer id);
}
