package com.qunzhixinxi.hnqz.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qunzhixinxi.hnqz.admin.entity.WmProjectEvidence;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 项目管理-静态证据子表mapper
 *
 * @author lixuesong
 * @date 2021年07月13日 10:42
 */
@Mapper
public interface WmProjectEvidenceMapper extends BaseMapper<WmProjectEvidence> {

	/**
	 * 根据项目id查询
	 *
	 * @param projectId
	 * @return
	 */
	List<WmProjectEvidence> listByProjectId(Integer projectId);
}
