/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */

package com.qunzhixinxi.hnqz.daemon.quartz.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDateTime;


/**
 * @Modify: start
 * @Version: v2021.4.16  弃用
 * @Author: ryz
 * @Date: 2021/4/22
*/

/**
 * 历史结算表
 *
 * @author winter
 * @date 2021-03-03 18:15:22
 */
@Data
@TableName("wm_task_settle_note")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "")
public class WmTaskSettleNote extends Model<WmTaskSettleNote> {
	private static final long serialVersionUID = 1L;

	/**
	 *
	 */
	@TableId
	@ApiModelProperty(value = "")
	private Integer id;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String packageId;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String packageStatusId;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String taskId;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private BigDecimal settleAmount;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String userId;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private Integer invoiceType;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String settleNo;

	private String streamId;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private BigDecimal discount;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private Integer settleNoteStatus;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String remark;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String categoryName;
	private LocalDateTime createTime;
	private LocalDateTime updateTime;
	private LocalDateTime subTime;
	private LocalDateTime notifyTime;

	@TableField(exist = false)
	private String userName;

	@TableField(exist = false)
	private String idStr;

	private String idCardNumber;
}
