package com.qunzhixinxi.hnqz.daemon.quartz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.daemon.quartz.entity.WmScorePackageSettleNote;

import java.time.LocalDateTime;
import java.util.List;

/**
 * {@code WmScorePackageSettleNoteService} 接口
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-06-08
 * @since ver.1.0.0
 */
public interface WmScorePackageSettleNoteService extends IService<WmScorePackageSettleNote> {

	/**
	 * 查询指定部门对应的结算数据
	 *
	 * @param deptId
	 * @param subType
	 * @param startTime
	 * @param endTime
	 * @return
	 */
	List<WmScorePackageSettleNote> listSettleAmountByDeptId(Integer deptId, String subType, LocalDateTime startTime, LocalDateTime endTime);
}
